import { MenuProps, Theme } from "@mui/material";
import { SxProps } from "@mui/system";
import { MouseEvent } from "react";
export type NerdAppBarProps = {
    title?: string;
    logo?: string;
    variant?: "dense" | "regular";
    content?: Array<NerdAppBarContent | JSX.Element>;
    appRoot?: string;
};
export type NerdAppBarContent = {
    title?: string;
    startIcon?: JSX.Element;
    endIcon?: JSX.Element;
    variant?: "text" | "outlined" | "contained";
    size?: "small" | "medium" | "large";
    sx?: SxProps<Theme>;
    nested?: Array<NerdAppBarNestedContent>;
    divider?: boolean;
    href?: string;
    callback?: (event: MouseEvent<HTMLButtonElement>) => void;
};
export type NerdAppBarNestedContent = {
    title?: string;
    subtitle?: string;
    icon?: JSX.Element | string;
    divider?: boolean;
    href?: string;
};
/**
 * @component
 * @param {NerdAppBarProps} props NerdAppBar props
 * @param {string} props.title title of the app
 * @param {string} props.logo Logo of the app
 * @param {string} props.variant Size of the appBar (dense or regular)
 * @param {Array<NerdAppBarContent | React.ReactElement>} props.content Height of the appbar. Could be dense or regular.
 * @returns {React.ReactElement | null} UserDisplay component
 */
export default function NerdAppBar({ title, logo, content, variant, appRoot, }: NerdAppBarProps): React.ReactElement | null;
/**
 * @param {NerdAppBarContent} c Content of the menu item
 * @returns {React.ReactElement | null} the menu
 */
export declare function NerdAppBarMenuItem(c: NerdAppBarContent): React.ReactElement | null;
export declare const StyledMenu: import("@emotion/styled").StyledComponent<MenuProps & import("@mui/system").MUIStyledCommonProps<import("@mui/system").Theme>, {}, {}>;
