import { ButtonProps, DialogActionsProps, DialogContentProps, DialogProps, DialogTitleProps } from "@mui/material";
import { PropsWithChildren, ReactElement, ReactNode } from "react";
export interface NerdConfirmOptions {
    title?: ReactNode | string;
    content?: ReactNode | string;
    cancelButtonText?: string;
    cancelButtonProps?: ButtonProps;
    confirmButtonText?: string;
    confirmButtonProps?: ButtonProps;
    dialogProps?: DialogProps;
    titleProps?: DialogTitleProps;
    contentProps?: DialogContentProps;
    actionsProps?: DialogActionsProps;
    onCancel?: () => void;
    onConfirm?: () => void;
}
export declare const NerdConfirmContextProvider: import("react").Provider<{
    setOpen: (options?: NerdConfirmOptions | undefined) => void;
}>;
/**
 * NerdConfirm
 *
 *
 * @param {PropsWithChildren<unknown>} props Component props
 * @returns {ReactElement} NerdConfirm
 */
export default function NerdConfirmProvider(props: PropsWithChildren<unknown>): ReactElement;
