import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Dialog, DialogTitle, DialogContent, Button, DialogActions, } from "@mui/material";
/**
 * NerdConfirmDialog
 *
 * @param {NerdConfirmDialogProps} props component props
 * @returns {ReactElement} NerdConfirmDialog
 */
export function NerdConfirmDialog(props) {
    const { closeDialog, open, options } = props;
    const { content, title, cancelButtonProps, cancelButtonText, confirmButtonProps, confirmButtonText, contentProps, dialogProps, titleProps, actionsProps, onCancel, onConfirm, } = options;
    return (_jsxs(Dialog, { ...dialogProps, open: open, onClose: closeDialog, children: [title && _jsx(DialogTitle, { ...titleProps, children: title }), content && _jsx(DialogContent, { ...contentProps, children: content }), _jsxs(DialogActions, { ...actionsProps, children: [_jsx(Button, { ...cancelButtonProps, onClick: () => {
                            onCancel?.();
                            closeDialog();
                        }, children: cancelButtonText }), _jsx(Button, { ...confirmButtonProps, onClick: () => {
                            onConfirm?.();
                            closeDialog();
                        }, children: confirmButtonText })] })] }));
}
