import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Grid } from "@mui/material";
import { Duration } from "luxon";
import { useState } from "react";
import { NerdDatePicker } from "../nerdDatePicker";
import { NerdTimePicker } from "../nerdTimePicker";
/**
 * Nerd dateTime picker.
 *
 * @param {NerdDateTimePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
export default function NerdDateTimePicker(props) {
    const { nerdDatePickerProps, onChange, value, nerdTimePickerProps } = props;
    const format = nerdTimePickerProps?.format;
    const [time, setTime] = useState({
        value: value?.toFormat(format === "12" ? "hh:mm a" : "HH:mm") || "",
        duration: Duration.fromObject({
            hours: value?.hour,
            minutes: value?.minute,
        }),
        isValid: value?.isValid || false,
    });
    /**
     *
     * @param {DateTime} date Date
     * @param {NerdTimeObject} time Time
     */
    function onDateTimeChange(date, time) {
        if (date != null)
            onChange(date.set({ hour: time.duration.hours, minute: time.duration.minutes }));
        else
            onChange(null);
    }
    return (_jsxs(Grid, { container: true, gap: 1, children: [_jsx(Grid, { item: true, children: _jsx(NerdDatePicker, { textFieldProps: {
                        label: "Date",
                    }, ...nerdDatePickerProps, value: value, onChange: (newDate) => {
                        onDateTimeChange(newDate, time);
                        nerdDatePickerProps?.onChange?.(newDate);
                    } }) }), _jsx(Grid, { item: true, children: _jsx(NerdTimePicker, { ...nerdTimePickerProps, onChange: (newTime) => {
                        onDateTimeChange(value, newTime);
                        setTime(newTime);
                        nerdTimePickerProps?.onChange?.(newTime);
                    }, value: time.value }) })] }));
}
