import { TextFieldProps } from "@mui/material";
import { ReactElement } from "react";
import { Duration } from "luxon";
export interface NerdTimeObject {
    value: string;
    duration: Duration;
    isValid: boolean;
}
export interface NerdTimePickerProps {
    format?: "12" | "24";
    startTime?: string;
    onChange: (time: NerdTimeObject) => void;
    value: string;
    showDiff?: boolean;
    textFieldProps?: TextFieldProps;
    openOnFocus?: boolean;
}
/**
 *
 * @param {string} time Time
 * @param {string} format Format
 * @returns {Duration} Duration from string
 */
export declare function durationFromString(time: string, format: "12" | "24"): Duration;
/**
 *
 * @param {NerdTimePickerProps} props Props
 * @returns {ReactElement} NerdTimePicker
 */
export default function NerdTimePicker(props: NerdTimePickerProps): ReactElement;
